using Indotalent.Infrastructure.File.Avatar;
using Indotalent.Infrastructure.File.Aws;
using Indotalent.Infrastructure.File.Azure;
using Indotalent.Infrastructure.File.Dropbox;
using Indotalent.Infrastructure.File.Google;
using Indotalent.Infrastructure.File.Local;

namespace Indotalent.Infrastructure.File;

public class FileStorageSettingsModel
{
    public AvatarStorageModel Avatar { get; set; } = new();
    public LocalStorageModel Local { get; set; } = new();
    public AwsS3SettingsModel AwsS3 { get; set; } = new();
    public AzureBlobSettingsModel AzureBlob { get; set; } = new();
    public GoogleCloudSettingsModel GoogleCloud { get; set; } = new();
    public DropboxSettingsModel Dropbox { get; set; } = new();
}
